Skip to main content
POST
/
api
/
field
/
date
Creates a new custom date field.
curl --request POST \
  --url https://{install}/api/field/date \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "fieldType": "<string>",
  "minimum": "2023-11-07T05:31:56Z",
  "maximum": "2023-11-07T05:31:56Z",
  "defaultValue": "<string>",
  "name": "<string>",
  "prompt": "<string>",
  "description": "<string>",
  "isCore": true,
  "isFeature": true,
  "featureName": "<string>",
  "placement": [
    123
  ],
  "usage": [
    123
  ],
  "listEditable": true,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The date field definition to create.

entity
null | string
fieldType
null | string
minimum
null | string<date-time>
maximum
null | string<date-time>
defaultValue
string
name
string
prompt
string
description
string
isCore
boolean
isFeature
boolean
featureName
string
placement
integer[]
usage
integer[]
listEditable
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Date field created successfully.